﻿using System;

namespace SilverlightProjectTracker.RestClient
{
    partial class Timesheet
    {
        partial void OnHoursChanging(double value)
        {
            if (value < 0)
            {
                throw new ArgumentException("Hours cannot be negative");
            }
        }

        partial void OnPercentCompleteChanging(double value)
        {
            if (value < 0)
            {
                throw new ArgumentException("Percent complete cannot be negative");
            }

            if (value > 100)
            {
                throw new ArgumentException("100 percent is the max!");
            }
        }
    }
}